# markdown

Markdown renderer.

## Features

- Code
- Links
- Lists
- Headers
- Paragraphs
- Quotes
- Tables

## Installation

```shell
go get git.akyoto.dev/go/markdown
```

## Usage

```go
html := markdown.Render("# Header")
```

## Tests

```
PASS: TestEmpty
PASS: TestParagraph
PASS: TestHeader
PASS: TestLink
PASS: TestList
PASS: TestTables
PASS: TestCode
PASS: TestQuote
PASS: TestCombined
PASS: TestSecurity
coverage: 100.0% of statements
```

## Benchmarks

```
BenchmarkSmall-12        2421213               494.2 ns/op           248 B/op          5 allocs/op
```

## License

Please see the [license documentation](https://akyoto.dev/license).

## Copyright

© 2024 Eduard Urbach